@import "/~toastr/toastr";

#toast-container {
  max-width: none;
  opacity: 1;
  & > div {
    opacity: 1;
  }
  .toast {
    @include size(100%);
    margin: 0;
    &-title {
      padding: 0 32px 0 0;
      margin: 0 0 8px;
    }
    &-message {
      padding: 0 32px 0 0;
    }
  }
  .toast-close-button {
    @include size(24px, 24px);
    @include position(absolute, $c: (top: 8px, right: 8px));
    @include font(24px, 400, 1);
    margin: 0;
  }
}

@media #{$desktop} {
  #toast-container {
    @include size(calc((100% - 430px) * 0.95));
    @include position(null, $c: (top: 0, left: 430px));
    max-width: 1370px;
  }
}

@media #{$laptop} {
  #toast-container {
    @include size(95%);
    @include position(null, $c: (top: 0, left: 2.5%));
  }
}

@media #{$laptop} {
  #toast-container {
    @include size(85%);
    @include position(null, $c: (top: 0, left: 7.5%));
  }
}

@media #{$tablet} {
  #toast-container {
    @include size(85%);
    @include position(null, $c: (top: 0, left: 7.5%));
  }
}

@media #{$mobile} {
  #toast-container {
    @include size(100%);
    @include position(null, $c: (top: 0, left: 0));
    .toast {
      border-radius: 0;
    }
  }
}
